gSOAP UDDI v2: uddi2__delete_USCOREbinding Class Reference

Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__delete_USCOREbinding Class Reference

Schema urn:uddi-org:api_v2:"delete_binding". More...

`#include <uddi_v2.h>`

List of all members.

## Public Member Functions
| uddi2__delete_USCOREbinding (struct soap *)
| Member declared in uddi2-typemap.dat.
| uddi2__delete_USCOREbinding (struct soap *, const char *bindingKey)
| Member declared in uddi2-typemap.dat.
| uddi2__delete_USCOREbinding (struct soap *, std::vector< char * > bindingKeys)
| Member declared in uddi2-typemap.dat.
uddi2__dispositionReport * | send (const char *endpoint, char *authInfo)
| Member declared in uddi2-typemap.dat.
## Public Attributes
char * | authInfo
| Element reference "urn:uddi-org:api_v2":authInfo.
std::vector< uddi2__bindingKey > | bindingKey
| Vector of uddi2__bindingKey with length 0..unbounded.
char * | generic
| Attribute generic of type xs:string.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"delete_binding".

Represents a request to delete a binding that meets the specified requirements.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137732

## Constructor & Destructor Documentation

uddi2__delete_USCOREbinding::uddi2__delete_USCOREbinding | ( | struct soap * | soap | ) |

| Member declared in uddi2-typemap.dat. Creates an instance of the delete_USCOREbinding class.

uddi2__delete_USCOREbinding::uddi2__delete_USCOREbinding | ( | struct soap * | soap,
|  | const char * | bindingKey
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | bindingKey | a binding key string
Creates an instance of the delete_USCOREbinding class.

uddi2__delete_USCOREbinding::uddi2__delete_USCOREbinding | ( | struct soap * | soap,
|  | std::vector< char * > | bindingKeys
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | bindingKeys | collection of binding keys
Creates an instance of the delete_USCOREbinding class using the specified binding keys.

## Member Function Documentation

uddi2__dispositionReport * uddi2__delete_USCOREbinding::send | ( | const char * | endpoint,
|  | char * | authInfo
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | endpoint | URL of the UDDI server
  `[in]` | authInfo | authorization token provided by the UDDI server
Returns: A pointer to a uddi2__dispositionReport object or NULL on error Send a request to a UDDI service to delete a binding that meets the specified requirements.

## Member Data Documentation

char* uddi2__delete_USCOREbinding::authInfo

| Element reference "urn:uddi-org:api_v2":authInfo. Required element

std::vector<uddi2__bindingKey > uddi2__delete_USCOREbinding::bindingKey

| Vector of uddi2__bindingKey with length 0..unbounded.

char* uddi2__delete_USCOREbinding::generic

| Attribute generic of type xs:string. Required attribute

struct soap* uddi2__delete_USCOREbinding::soap

| A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h